
Arvados - Story #3347

[Crunch] Run dev (and real) jobs using a syntax as close as possible to "python foo.py input.txt"

07/24/2014 06:40 PM - Tom Clegg

Status: Closed Start date: 08/28/2014

Priority: Normal Due date: 08/28/2014

Assigned To:  % Done: 0%

Category: Crunch Estimated time: 0.00 hour

Target version:    

Description

See Python SDK design draft.

Running programs with Crunch should look more like this

python foo.py input.txt

 

and less like this

git commit -am -

git push

arv job create --job '{"script_name":"foo.py","script_parameters":{"input":"acbd18db4cc2f85cedef65

4fccc4a4d8+3/input.txt"},"script_version":"master"}'

This is easier to achieve when the following conditions are met:

foo.py is already in a git repository, committed and pushed to git@git.*.arvadosapi.com:waz.git

We will probably need to defer:

Automatically commit uncommitted changes

Automatically push to origin

Related issues:

Follows Arvados - Story #3603: [Crunch] Design good Crunch task API, includin... Closed 08/27/2014

History

#1 - 08/05/2014 10:53 PM - Peter Amstutz

I don't understand what this story is saying at all.

#2 - 08/16/2014 06:18 PM - Tom Clegg

- Description updated

#3 - 08/27/2014 02:07 PM - Ward Vandewege

- Target version changed from Arvados Future Sprints to 2014-09-17 sprint

#4 - 08/27/2014 03:08 PM - Tom Clegg

- Description updated

- Category set to Crunch

#5 - 08/27/2014 04:18 PM - Tom Clegg

- Target version changed from 2014-09-17 sprint to Arvados Future Sprints

#6 - 03/07/2017 09:59 PM - Tom Clegg
- Status changed from New to Closed

#7 - 03/09/2017 09:40 PM - Tom Clegg

- Target version deleted (Arvados Future Sprints)
